# $Revision: 1.50 $, $Date: 2012/05/27 16:17:41 $
# TODO:
# - resolve limit of interface traffic:
#   http://bugs.gentoo.org/attachment.cgi?id=80309&action=view
# - check which of these patches can be applied:
#   http://www.christoph-probst.com/technik/software/watchdog/5.2.4/
# - separate package with init-script for wd_keepalive - some parts should
#   be in -common subpackage.
Summary:	A software watchdog
Summary(pl.UTF-8):	Programowy strażnik
Name:		watchdog
Version:	5.12
Release:	1
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.debian.org/debian/pool/main/w/watchdog/%{name}_%{version}.orig.tar.gz
# Source0-md5:	cea28bea70e54f3625062bc808aef9af
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-foreground.patch
Patch1:		%{name}-config.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The watchdog program writes to /dev/watchdog every ten seconds. If the
device is open but not written to within a minute the machine will
reboot. Each write delays the reboot time another minute. The ability
to reboot will depend on the state of the machines and interrupts.

%description -l pl.UTF-8
Program watchdog zapisuje do /dev/watchdog co 10 sekund. Jeżeli
urządzenie jest otwarte, ale nic nie zostanie zapisane przez minutę,
maszyna się zrebootuje. Każdy zapis opóźnia reboot o minutę. Możliwość
rebootu zależy od stanu maszyny i przerwań.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/watchdog
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/watchdog

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add watchdog
%service watchdog restart "watchdog daemon"

%preun
if [ "$1" = 0 ] ; then
	%service watchdog stop
	/sbin/chkconfig --del watchdog
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README NEWS AUTHORS IAFA-PACKAGE TODO examples
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/watchdog.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/watchdog
%attr(754,root,root) /etc/rc.d/init.d/watchdog
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: watchdog.spec,v $
Revision 1.50  2012/05/27 16:17:41  blekot
- updated to 5.12

Revision 1.49  2011/12/31 09:52:05  arekm
- up to 5.11

Revision 1.48  2011/01/29 00:07:34  sparky
- dropped pre-cvs changelog

Revision 1.47  2010/12/19 20:02:47  arekm
- up to 5.9

Revision 1.46  2010/05/22 16:39:51  gotar
- fixed Group

Revision 1.45  2010/04/23 19:27:01  arekm
- up to 5.8

Revision 1.44  2009/08/25 13:53:05  arekm
- rel 3; fixes from debian added

Revision 1.43  2009/06/28 13:44:52  arekm
- rel 2; preload ipmi_si/ipmi_devintf when using ipmi_watchdog

Revision 1.42  2009/05/30 08:24:57  amateja
- updated to 5.6

Revision 1.41  2009/02/28 20:20:16  duddits
- up to 5.5

Revision 1.40  2008/08/11 12:37:48  blues
- one more TODO

Revision 1.39  2008/08/11 11:57:49  blues
- we don't have kernel <2 - remove bogus description

Revision 1.38  2008/06/13 10:06:10  arekm
- rel 5; enable part of sane watchdog functionality in config

Revision 1.37  2008-01-30 16:13:26  blues
- rel.4

Revision 1.36  2008-01-23 11:21:47  glen
- rel 3

Revision 1.35  2008-01-14 14:47:38  arekm
- rel 2; don't remove watchdog modules on stop; system could hangt there

Revision 1.34  2007/10/07 13:04:09  arekm
- up to 5.4

Revision 1.33  2007/04/01 01:07:09  arekm
- up to 5.3.1

Revision 1.32  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.30  2007/01/21 22:53:26  arekm
- rel 2; prevent unneded reboots

Revision 1.29  2006/07/30 20:40:56  blues
- TODO added

Revision 1.28  2006/07/30 20:15:13  blues
- 5.2.6 - removed bogus watchdog_5.2.4-1.diff.gz patch (debian-only).

Revision 1.27  2006/03/13 23:14:32  glen
- use %service

Revision 1.26  2005/06/04 16:10:08  jajcus
- Release: 3
- allow starting watchdog in the foreground (-foreground.patch)

Revision 1.25  2005/04/06 18:21:48  glen
- fix attr for sysconfig file

Revision 1.24  2005/03/07 22:59:07  qboosh
- unified

Revision 1.23  2005/03/07 19:40:52  darekr
- %verify for config file

Revision 1.22  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.21  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.20  2003/08/19 15:06:39  qboosh
- more specific Requires

Revision 1.19  2003/08/12 20:21:21  arekm
- new init scripts

Revision 1.18  2003/08/08 14:58:53  arekm
- updated to 5.2.4

Revision 1.17  2003/05/25 21:12:30  agaran
Source0-md5

Revision 1.16  2003/05/25 20:37:52  arekm
- updated to 5.2.3 (from debian)

Revision 1.15  2003/05/25 06:27:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/06/14 12:19:57  kloczek
- simplification in %build.

Revision 1.12  2002/06/14 10:16:03  blues
- release 3
- new doc
STBR

Revision 1.11  2002/05/21 23:14:54  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/08 15:22:53  qboosh
- s/postun/preun/ (init.d/watchdog must exist to stop daemon); release 2

Revision 1.6  2001/12/21 09:49:08  blues
- 5.2 (previous was not working anyway...)
- adapterized
- added rewritten init script
- configure macro used - BR added
- docs gziped
- post rewritten - devices making is in dev.spec now
NOTE: there is still nedded to make some changes in rc-scripts (see
comments at the beggining of watchdog.init), but this one works

Revision 1.5  2001/09/25 14:25:54  qboosh
- Prereq: /sbin/chkconfig
- pl translations
TODO: at least something with devices creation in post...

Revision 1.4  2001/08/02 17:56:41  agaran
adapterized (almost only)
